# Uses of Interface
org.eclipse.birt.chart.device.ITextMetrics

Packages that use ITextMetrics
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.

## Uses of ITextMetrics in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return ITextMetrics
Modifier and Type
Method
Description
`ITextMetrics`
BIRTChartComputation.`getTextMetrics(IDisplayServer xs, Label la, double wrapping)`
`ITextMetrics`
IChartComputation.`getTextMetrics(IDisplayServer xs, Label la, double wrapping)`
Returns a text metrics.
Methods in org.eclipse.birt.chart.computation with parameters of type ITextMetrics
Modifier and Type
Method
Description
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, ITextMetrics itm, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`static final double`
Methods.`computeHeight(ITextMetrics itm, Label la)`
`static final RotatedRectangle`
Methods.`computePolygon(ITextMetrics itm, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`static final double`
Methods.`computeWidth(ITextMetrics itm, Label la)`
`void`
BIRTChartComputation.`recycleTextMetrics(ITextMetrics itm)`
`void`
IChartComputation.`recycleTextMetrics(ITextMetrics itm)`
Dispose the text metrics.

## Uses of ITextMetrics in org.eclipse.birt.chart.device

Classes in org.eclipse.birt.chart.device that implement ITextMetrics
Modifier and Type
Class
Description
`class`
`TextAdapter`
A no-op adapter implementation for the `ITextMetrics`interface definition.
Methods in org.eclipse.birt.chart.device that return ITextMetrics
Modifier and Type
Method
Description
`ITextMetrics`
DisplayAdapter.`getTextMetrics(Label la)`
`ITextMetrics`
DisplayAdapter.`getTextMetrics(Label la, boolean autoReuse)`
`ITextMetrics`
IDisplayServer.`getTextMetrics(Label la)`
An instance of a text metrics computation class capable of providing text metric information associated with a given Label to aid in typically computing the size of rendered text
`ITextMetrics`
IDisplayServer.`getTextMetrics(Label la, boolean autoReuse)`
An instance of a text metrics computation class capable of providing text metric information associated with a given Label to aid in typically computing the size of rendered text